Bug 136904 - editors/omegaT port update
Summary: editors/omegaT port update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beat Gaetzi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-19 16:00 UTC by Rodrigo OSORIO
Modified: 2009-07-24 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (62.02 KB, patch)
2009-07-19 16:00 UTC, Rodrigo OSORIO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo OSORIO 2009-07-19 16:00:14 UTC
Changes :
- Upgrade port version from 1.7.3.4 to 1.8.1.5
- Use abbreviations for the MASTER_SITE
- Add a Desktop entry (Application;Office;WordProcessor)

I also notice COPYTREE_* macro puts the wrong permissions when creates a new directory (500) when 555 is expected. I found a workaround copying the main directory instead of copying the files inside.

Default preferences file doesn't change.

Fix: Patch attached with submission follows:
Comment 1 Beat Gaetzi freebsd_committer 2009-07-23 18:45:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-07-24 20:03:06 UTC
beat        2009-07-24 19:02:56 UTC

  FreeBSD ports repository

  Modified files:
    editors/omegaT       Makefile distinfo pkg-plist 
  Log:
  - Update to 1.8.1.5
  - Use SF macro in MASTER_SITES
  - Add a desktop entry
  - Fix directory permissions
  
  PR:             ports/136904
  Submitted by:   Rodrigo OSORIO <rodrigo AT bebik.net> (maintainer)
  
  Revision  Changes    Path
  1.4       +9 -4      ports/editors/omegaT/Makefile
  1.3       +3 -3      ports/editors/omegaT/distinfo
  1.3       +797 -664  ports/editors/omegaT/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Beat Gaetzi freebsd_committer 2009-07-24 20:07:03 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!